public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2018-07-17 16:26 Tony Vroon
  0 siblings, 0 replies; 8+ messages in thread
From: Tony Vroon @ 2018-07-17 16:26 UTC (permalink / raw
  To: gentoo-commits

commit:     a60d4a1cf3582f03f7cf83081c5d064fad038484
Author:     Karol Wrótniak <karol.wrotniak <AT> droidsonroids <DOT> pl>
AuthorDate: Sun Jul 15 15:08:48 2018 +0000
Commit:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 16:25:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a60d4a1c

dev-util/stepman: new ebuild, version 0.10.0

Closes: https://bugs.gentoo.org/661246
Closes: https://github.com/gentoo/gentoo/pull/9235

 dev-util/stepman/Manifest              |  1 +
 dev-util/stepman/metadata.xml          | 20 +++++++++++++++++
 dev-util/stepman/stepman-0.10.0.ebuild | 39 ++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/dev-util/stepman/Manifest b/dev-util/stepman/Manifest
new file mode 100644
index 00000000000..b47330bf9fb
--- /dev/null
+++ b/dev-util/stepman/Manifest
@@ -0,0 +1 @@
+DIST stepman-0.10.0.tar.gz 3054342 BLAKE2B 8d1d6fc8b4b85c79d535c6162a8b7c5ba15042b6a8334286cdf7ad5d498ee20abecaa1bb9ce9ffe5406891271e23a2e2554bea0b52bbf08df23a2154fdcb4da8 SHA512 1437d5c997e62a9da3beb666a15ac665e18300fad3668ee3acdae30307027bbf16c0d95f649a9a62c6203f3e09f9ec83525a23b3789f09c3707ff1937a7affbe

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
new file mode 100644
index 00000000000..a84ba407797
--- /dev/null
+++ b/dev-util/stepman/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>karol.wrotniak@droidsonroids.pl</email>
+		<name>Karol Wrótniak</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+        <longdescription>Step collection manager for Bitrise CLI. Part of the Bitrise Continuous Integration, Delivery and Automations Stack, with envman and bitrise. For a nice &amp; quick intro you 
+should check: https://www.bitrise.io/cli</longdescription>
+	<upstream>
+		<bugs-to>https://github.com/bitrise-io/stepman/issues</bugs-to>
+		<changelog>https://github.com/bitrise-io/stepman/blob/master/CHANGELOG.md</changelog>
+		<doc>https://github.com/bitrise-io/stepman/blob/master/README.md</doc>
+		<remote-id type="github">bitrise-io/stepman</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-util/stepman/stepman-0.10.0.ebuild b/dev-util/stepman/stepman-0.10.0.ebuild
new file mode 100644
index 00000000000..4b0b891bc49
--- /dev/null
+++ b/dev-util/stepman/stepman-0.10.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Step collection manager for Bitrise CLI."
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+	unpack ${A}
+	mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+	mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/stepman" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+	GOPATH="${WORKDIR}" go build -v -o bin/stepman || die "Couldn't compile stepman"
+}
+
+src_test() {
+	export INTEGRATION_TEST_BINARY_PATH="${S}/bin/stepman"
+	GOPATH="${WORKDIR}" go test -v ./_tests/integration/... || die "Integration tests failed"
+}
+
+src_install() {
+	dobin bin/stepman
+	dodoc README.md
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2018-08-20  9:45 Patrice Clement
  0 siblings, 0 replies; 8+ messages in thread
From: Patrice Clement @ 2018-08-20  9:45 UTC (permalink / raw
  To: gentoo-commits

commit:     219c312146f5f7210251f74d175dbfc83f2ab81c
Author:     Karol Wrótniak <karol.wrotniak <AT> droidsonroids <DOT> pl>
AuthorDate: Sun Aug 19 15:08:29 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Aug 20 09:44:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=219c3121

dev/util-stepman: version bump to 0.10.2.

Closes: https://bugs.gentoo.org/663606
Closes: https://github.com/gentoo/gentoo/pull/9625

 dev-util/stepman/Manifest              |  1 +
 dev-util/stepman/stepman-0.10.2.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-util/stepman/Manifest b/dev-util/stepman/Manifest
index b47330bf9fb..aa6b09efbb7 100644
--- a/dev-util/stepman/Manifest
+++ b/dev-util/stepman/Manifest
@@ -1 +1,2 @@
 DIST stepman-0.10.0.tar.gz 3054342 BLAKE2B 8d1d6fc8b4b85c79d535c6162a8b7c5ba15042b6a8334286cdf7ad5d498ee20abecaa1bb9ce9ffe5406891271e23a2e2554bea0b52bbf08df23a2154fdcb4da8 SHA512 1437d5c997e62a9da3beb666a15ac665e18300fad3668ee3acdae30307027bbf16c0d95f649a9a62c6203f3e09f9ec83525a23b3789f09c3707ff1937a7affbe
+DIST stepman-0.10.2.tar.gz 3087278 BLAKE2B 224bc6141678d4155474591d7094956ddd230086315ccff8ec2f91bb2d72761f46daa864086a449fb5d79dc2f7ec6f8935fa62a9a5be41a2f0aad9e3de84ca20 SHA512 6b7f1e17ff14e8a0a69056f6a8fa00043b53d818e61603fc2571a42a73e2c88edae1bb233fb734e1796c581c63f7aaf6e91c425525adbb2e1c3429cdc8dfa1e8

diff --git a/dev-util/stepman/stepman-0.10.2.ebuild b/dev-util/stepman/stepman-0.10.2.ebuild
new file mode 100644
index 00000000000..c91e20ce229
--- /dev/null
+++ b/dev-util/stepman/stepman-0.10.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Step collection manager for Bitrise CLI."
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+	unpack ${A}
+	mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+	mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/stepman" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+	GOPATH="${WORKDIR}" go build -v -o bin/stepman || die "Couldn't compile stepman"
+}
+
+src_install() {
+	dobin bin/stepman
+	dodoc README.md
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2018-10-22 20:12 Michał Górny
  0 siblings, 0 replies; 8+ messages in thread
From: Michał Górny @ 2018-10-22 20:12 UTC (permalink / raw
  To: gentoo-commits

commit:     aeaea649e3402597ef9dd4305fb5fa59d102a3de
Author:     Karol Wrótniak <karol.wrotniak <AT> droidsonroids <DOT> pl>
AuthorDate: Thu Oct 18 22:53:57 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 22 20:08:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aeaea649

dev-util/stepman: bump to 0.10.4

Signed-off-by: Karol Wrótniak <karol.wrotniak <AT> droidsonroids.pl>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/stepman/Manifest              |  1 +
 dev-util/stepman/metadata.xml          |  2 +-
 dev-util/stepman/stepman-0.10.4.ebuild | 42 ++++++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+), 1 deletion(-)

diff --git a/dev-util/stepman/Manifest b/dev-util/stepman/Manifest
index aa6b09efbb7..4d391239337 100644
--- a/dev-util/stepman/Manifest
+++ b/dev-util/stepman/Manifest
@@ -1,2 +1,3 @@
 DIST stepman-0.10.0.tar.gz 3054342 BLAKE2B 8d1d6fc8b4b85c79d535c6162a8b7c5ba15042b6a8334286cdf7ad5d498ee20abecaa1bb9ce9ffe5406891271e23a2e2554bea0b52bbf08df23a2154fdcb4da8 SHA512 1437d5c997e62a9da3beb666a15ac665e18300fad3668ee3acdae30307027bbf16c0d95f649a9a62c6203f3e09f9ec83525a23b3789f09c3707ff1937a7affbe
 DIST stepman-0.10.2.tar.gz 3087278 BLAKE2B 224bc6141678d4155474591d7094956ddd230086315ccff8ec2f91bb2d72761f46daa864086a449fb5d79dc2f7ec6f8935fa62a9a5be41a2f0aad9e3de84ca20 SHA512 6b7f1e17ff14e8a0a69056f6a8fa00043b53d818e61603fc2571a42a73e2c88edae1bb233fb734e1796c581c63f7aaf6e91c425525adbb2e1c3429cdc8dfa1e8
+DIST stepman-0.10.4.tar.gz 3173321 BLAKE2B b8dcf7eb7ff5afba1fc12b8bf8d4d594b7c86cf26346de053fd8b50010d6a8dbbf55c6e33eef9e9606c672516319b8bacd66eb8a188eb915280f92d027fea253 SHA512 9cd66e45f9a379ad785dc9a35a022d7f9fadeb9707154890d6c6ee17c716d5fcf319dee80c121f9eedc53baef71aaac3a60a6f32135c05113b97f9a5fc7dd299

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
index a84ba407797..3e39f8636d3 100644
--- a/dev-util/stepman/metadata.xml
+++ b/dev-util/stepman/metadata.xml
@@ -9,7 +9,7 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
-        <longdescription>Step collection manager for Bitrise CLI. Part of the Bitrise Continuous Integration, Delivery and Automations Stack, with envman and bitrise. For a nice &amp; quick intro you 
+	<longdescription>Step collection manager for Bitrise CLI. Part of the Bitrise Continuous Integration, Delivery and Automations Stack, with envman and bitrise. For a nice &amp; quick intro you 
 should check: https://www.bitrise.io/cli</longdescription>
 	<upstream>
 		<bugs-to>https://github.com/bitrise-io/stepman/issues</bugs-to>

diff --git a/dev-util/stepman/stepman-0.10.4.ebuild b/dev-util/stepman/stepman-0.10.4.ebuild
new file mode 100644
index 00000000000..f95a6153f9c
--- /dev/null
+++ b/dev-util/stepman/stepman-0.10.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Step collection manager for Bitrise CLI"
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+	default
+	mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+	mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/stepman" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+	GOPATH="${WORKDIR}" go build -v -o bin/stepman || die "Couldn't compile stepman"
+}
+
+src_test() {
+	pushd _tests/integration > /dev/null || die "Couldn't find integration tests directory"
+	rm update_test.go step_info_test.go setup_test.go || die "Couldn't remove network-dependent tests"
+	popd || die "Couldn't return to ${S} directory"
+	local -x INTEGRATION_TEST_BINARY_PATH="${S}/bin/stepman"
+	GOPATH="${WORKDIR}" go test -v ./_tests/integration/... || die "Integration tests failed"
+}
+
+src_install() {
+	dobin bin/stepman
+	dodoc README.md
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2019-04-19 13:15 Michał Górny
  0 siblings, 0 replies; 8+ messages in thread
From: Michał Górny @ 2019-04-19 13:15 UTC (permalink / raw
  To: gentoo-commits

commit:     379ccdf257a9e456eee26872eb811db718b045c7
Author:     Karol Wrótniak <karol.wrotniak <AT> droidsonroids <DOT> pl>
AuthorDate: Sun Nov 25 17:32:15 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 19 13:15:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=379ccdf2

dev-util/stepman: bump to 0.10.5

Signed-off-by: Karol Wrótniak <karol.wrotniak <AT> droidsonroids.pl>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/stepman/Manifest              |  1 +
 dev-util/stepman/stepman-0.10.5.ebuild | 42 ++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-util/stepman/Manifest b/dev-util/stepman/Manifest
index 4d391239337..4af3e84497a 100644
--- a/dev-util/stepman/Manifest
+++ b/dev-util/stepman/Manifest
@@ -1,3 +1,4 @@
 DIST stepman-0.10.0.tar.gz 3054342 BLAKE2B 8d1d6fc8b4b85c79d535c6162a8b7c5ba15042b6a8334286cdf7ad5d498ee20abecaa1bb9ce9ffe5406891271e23a2e2554bea0b52bbf08df23a2154fdcb4da8 SHA512 1437d5c997e62a9da3beb666a15ac665e18300fad3668ee3acdae30307027bbf16c0d95f649a9a62c6203f3e09f9ec83525a23b3789f09c3707ff1937a7affbe
 DIST stepman-0.10.2.tar.gz 3087278 BLAKE2B 224bc6141678d4155474591d7094956ddd230086315ccff8ec2f91bb2d72761f46daa864086a449fb5d79dc2f7ec6f8935fa62a9a5be41a2f0aad9e3de84ca20 SHA512 6b7f1e17ff14e8a0a69056f6a8fa00043b53d818e61603fc2571a42a73e2c88edae1bb233fb734e1796c581c63f7aaf6e91c425525adbb2e1c3429cdc8dfa1e8
 DIST stepman-0.10.4.tar.gz 3173321 BLAKE2B b8dcf7eb7ff5afba1fc12b8bf8d4d594b7c86cf26346de053fd8b50010d6a8dbbf55c6e33eef9e9606c672516319b8bacd66eb8a188eb915280f92d027fea253 SHA512 9cd66e45f9a379ad785dc9a35a022d7f9fadeb9707154890d6c6ee17c716d5fcf319dee80c121f9eedc53baef71aaac3a60a6f32135c05113b97f9a5fc7dd299
+DIST stepman-0.10.5.tar.gz 3197451 BLAKE2B f6a4fd2cc0396c5635d7d45a6d88166669dab0bdfed2d53cb8c809c122ee84039660704326c996436d62797db58d46f35bb73af2415e875cf748be9137304280 SHA512 6bd325e1d50d75bf2a38b89c1faf5275914a3a7f00de0d072450253121d9931c4e32ca85300319aaec90ca108223600d3ff1195276df87b11148d4771c642471

diff --git a/dev-util/stepman/stepman-0.10.5.ebuild b/dev-util/stepman/stepman-0.10.5.ebuild
new file mode 100644
index 00000000000..f95a6153f9c
--- /dev/null
+++ b/dev-util/stepman/stepman-0.10.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-build
+
+EGO_ON="github.com/bitrise-io"
+EGO_PN="${EGO_ON}/${PN}"
+
+DESCRIPTION="Step collection manager for Bitrise CLI"
+HOMEPAGE="https://www.bitrise.io/cli"
+SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/src/${EGO_ON}/${PN}"
+
+src_unpack() {
+	default
+	mkdir -p "${WORKDIR}/src/${EGO_ON}" || die "Couldn't create project dir in GOPATH"
+	mv "${WORKDIR}/${P}" "${WORKDIR}/src/${EGO_ON}/stepman" || die "Couldn't move sources to GOPATH"
+}
+
+src_compile() {
+	GOPATH="${WORKDIR}" go build -v -o bin/stepman || die "Couldn't compile stepman"
+}
+
+src_test() {
+	pushd _tests/integration > /dev/null || die "Couldn't find integration tests directory"
+	rm update_test.go step_info_test.go setup_test.go || die "Couldn't remove network-dependent tests"
+	popd || die "Couldn't return to ${S} directory"
+	local -x INTEGRATION_TEST_BINARY_PATH="${S}/bin/stepman"
+	GOPATH="${WORKDIR}" go test -v ./_tests/integration/... || die "Integration tests failed"
+}
+
+src_install() {
+	dobin bin/stepman
+	dodoc README.md
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2022-11-21  7:40 Joonas Niilola
  0 siblings, 0 replies; 8+ messages in thread
From: Joonas Niilola @ 2022-11-21  7:40 UTC (permalink / raw
  To: gentoo-commits

commit:     6bc5840f238fa362cddfa68b2c46fa063ec2391b
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 21 07:40:20 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 07:40:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bc5840f

dev-util/stepman: drop to maintainer-needed

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/stepman/metadata.xml | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
index 2eabc8038c2b..aac91930b6e0 100644
--- a/dev-util/stepman/metadata.xml
+++ b/dev-util/stepman/metadata.xml
@@ -1,14 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person" proxied="yes">
-		<email>karol.wrotniak@droidsonroids.pl</email>
-		<name>Karol Wrótniak</name>
-	</maintainer>
-	<maintainer type="project" proxied="proxy">
-		<email>proxy-maint@gentoo.org</email>
-		<name>Proxy Maintainers</name>
-	</maintainer>
+	<!-- maintainer-needed -->
 	<longdescription>Step collection manager for Bitrise CLI. Part of the Bitrise Continuous Integration, Delivery and Automations Stack, with envman and bitrise. For a nice &amp; quick intro you 
 should check: https://www.bitrise.io/cli</longdescription>
 	<upstream>


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2022-11-21 15:40 Joonas Niilola
  0 siblings, 0 replies; 8+ messages in thread
From: Joonas Niilola @ 2022-11-21 15:40 UTC (permalink / raw
  To: gentoo-commits

commit:     69952115ea2161780e064f8c1425642d1b386538
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Nov 21 09:04:36 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 15:40:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69952115

dev-util/stepman: update HOMEPAGE

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/stepman/metadata.xml          | 2 +-
 dev-util/stepman/stepman-0.10.5.ebuild | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
index 34e759e0a8b6..39ace573dd55 100644
--- a/dev-util/stepman/metadata.xml
+++ b/dev-util/stepman/metadata.xml
@@ -6,7 +6,7 @@
 		Step collection manager for Bitrise CLI. Part of the Bitrise Continuous
 		Integration, Delivery and Automations Stack, with <pkg>dev-util/envman</pkg>
 		and <pkg>dev-util/bitrise</pkg>.  For a nice &amp; quick intro you should check:
-		https://www.bitrise.io/cli
+		https://app.bitrise.io/cli
 	</longdescription>
 	<upstream>
 		<bugs-to>https://github.com/bitrise-io/stepman/issues</bugs-to>

diff --git a/dev-util/stepman/stepman-0.10.5.ebuild b/dev-util/stepman/stepman-0.10.5.ebuild
index de176576e0f9..6d86a2724c21 100644
--- a/dev-util/stepman/stepman-0.10.5.ebuild
+++ b/dev-util/stepman/stepman-0.10.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -9,7 +9,7 @@ EGO_ON="github.com/bitrise-io"
 EGO_PN="${EGO_ON}/${PN}"
 
 DESCRIPTION="Step collection manager for Bitrise CLI"
-HOMEPAGE="https://www.bitrise.io/cli"
+HOMEPAGE="https://app.bitrise.io/cli"
 SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2022-11-21 15:40 Joonas Niilola
  0 siblings, 0 replies; 8+ messages in thread
From: Joonas Niilola @ 2022-11-21 15:40 UTC (permalink / raw
  To: gentoo-commits

commit:     6417d942233da9594494adadd19cd04c9ce1290b
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Nov 21 09:19:08 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 15:40:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6417d942

dev-util/stepman: remove changelog from metadata

The CHANGELOG.md was removed from repository in version 0.10.3.

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/28361
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/stepman/metadata.xml | 1 -
 1 file changed, 1 deletion(-)

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
index 39ace573dd55..3a9f651114d8 100644
--- a/dev-util/stepman/metadata.xml
+++ b/dev-util/stepman/metadata.xml
@@ -10,7 +10,6 @@
 	</longdescription>
 	<upstream>
 		<bugs-to>https://github.com/bitrise-io/stepman/issues</bugs-to>
-		<changelog>https://github.com/bitrise-io/stepman/blob/master/CHANGELOG.md</changelog>
 		<doc>https://github.com/bitrise-io/stepman/blob/master/README.md</doc>
 		<remote-id type="github">bitrise-io/stepman</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/
@ 2022-11-21 15:40 Joonas Niilola
  0 siblings, 0 replies; 8+ messages in thread
From: Joonas Niilola @ 2022-11-21 15:40 UTC (permalink / raw
  To: gentoo-commits

commit:     9a22437a9a48de0e43cbde3faab3c725698d5ac2
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Nov 21 08:43:18 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 15:40:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a22437a

dev-util/stepman: reference other packages in longdescription

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/stepman/metadata.xml | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-util/stepman/metadata.xml b/dev-util/stepman/metadata.xml
index aac91930b6e0..34e759e0a8b6 100644
--- a/dev-util/stepman/metadata.xml
+++ b/dev-util/stepman/metadata.xml
@@ -2,8 +2,12 @@
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<!-- maintainer-needed -->
-	<longdescription>Step collection manager for Bitrise CLI. Part of the Bitrise Continuous Integration, Delivery and Automations Stack, with envman and bitrise. For a nice &amp; quick intro you 
-should check: https://www.bitrise.io/cli</longdescription>
+	<longdescription>
+		Step collection manager for Bitrise CLI. Part of the Bitrise Continuous
+		Integration, Delivery and Automations Stack, with <pkg>dev-util/envman</pkg>
+		and <pkg>dev-util/bitrise</pkg>.  For a nice &amp; quick intro you should check:
+		https://www.bitrise.io/cli
+	</longdescription>
 	<upstream>
 		<bugs-to>https://github.com/bitrise-io/stepman/issues</bugs-to>
 		<changelog>https://github.com/bitrise-io/stepman/blob/master/CHANGELOG.md</changelog>


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2022-11-21 15:40 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-21 15:40 [gentoo-commits] repo/gentoo:master commit in: dev-util/stepman/ Joonas Niilola
  -- strict thread matches above, loose matches on Subject: below --
2022-11-21 15:40 Joonas Niilola
2022-11-21 15:40 Joonas Niilola
2022-11-21  7:40 Joonas Niilola
2019-04-19 13:15 Michał Górny
2018-10-22 20:12 Michał Górny
2018-08-20  9:45 Patrice Clement
2018-07-17 16:26 Tony Vroon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox